Package com.independentsoft.email.mime

# Class ContentDisposition

java.lang.Object
com.independentsoft.email.mime.ContentDisposition

public class ContentDisposition extends Object
Class ContentDisposition.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentDisposition()`
  Initializes a new instance of the ContentDisposition class.
  `ContentDisposition​(ContentDispositionType type)`
  Initializes a new instance of the ContentDisposition class.
  `ContentDisposition​(String contentDisposition)`
  Initializes a new instance of the ContentDisposition class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParameterList`
  `getParameters()`
  Gets the parameters.
  `ContentDispositionType`
  `getType()`
  Gets the type.
  `void`
  `setType​(ContentDispositionType type)`
  Sets the type.
  `String`
  `toString()`
  Returns a String that represents this instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContentDisposition

    public ContentDisposition()
    Initializes a new instance of the ContentDisposition class.

  - ### ContentDisposition

    public ContentDisposition​(ContentDispositionType type)
    Initializes a new instance of the ContentDisposition class.
    Parameters:
      `type` - The type.

  - ### ContentDisposition

    public ContentDisposition​(String contentDisposition)
    Initializes a new instance of the ContentDisposition class.
    Parameters:
      `contentDisposition` - The content disposition.

- ## Method Details

  - ### toString

    public String toString()
    Returns a String that represents this instance.
    Overrides:
      `toString` in class `Object`
    Returns:
      A String that represents this instance.

  - ### getType

    public ContentDispositionType getType()
    Gets the type.
    Returns:
      The type.

  - ### setType

    public void setType​(ContentDispositionType type)
    Sets the type.
    Parameters:
      `type` - The type.

  - ### getParameters

    public ParameterList getParameters()
    Gets the parameters.
    Returns:
      The parameters.